# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   Genrates Syntax highlighted html files from source code.
Name:      webcpp
Version:   0.6.8
Release:   1
Copyright: GPL
Vendor:    Jeffrey Bakker <jefskey@yahoo.com>
Url:       http://webcpp.sf.net

Packager:  Jeffrey Bakker <jefskey@yahoo.com>
Group:     Utilities/Tools
Source:    webcpp-0.6.8.tar.gz
BuildRoot: ./tmpwebcpprpm

%description
Web C Plus Plus is a command line utility which takes your C, C++, Java, Markup, Perl, Python, or Unix shell code and converts it into an HTML file, using a fully customizable syntax highlighting engine.


%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.webcpp
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.webcpp
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.webcpp

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/webcpp
rm -rf ../file.list.webcpp


%files -f ../file.list.webcpp

